@charset "utf-8";

@import 'mixin';

@import url('https://fonts.googleapis.com/css?family=Quicksand:400,500,700&display=swap');
@import url('https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700&display=swap');
@import url('https://fonts.googleapis.com/css?family=Kosugi+Maru&display=swap');
/* Reset */
*, *:before, *:after {
    box-sizing: border-box;
}

p{ font-size: 1.25em; margin: 0;}

.logo{
    width: 100%;
    height: 100%;
    margin-bottom: 25%;
}
.load {
    position: fixed;
    top: 50%;
    left: 50%;
    /* bring your own prefixes */
    transform: translate(-50%, -50%);
}
.wrapBtn{
    @include flexbox;
    @include flex-direction(column);
    padding-top: 10px;
    #mainButton {
        padding: 5%;
        padding-bottom: 10%;
        @include flexbox;
        @include justify-content(space-between);
        @include flex-wrap(wrap);
        .btn {
            background-color: #FFFFFF;
            border: 1px solid #eeeeee;
            box-shadow: none;
            padding: 0;
            @include flexbox;
            @include justify-content(center);
            @include align-items(center);
            width: 30%;
            margin-bottom: 3%;
            img {
                width: 100%;
                @include border-radius(6px);
            }
        }
    }
    
}
.header {
    text-align: center;
    margin-bottom: 20px;
    .profilePicture{
        position: absolute;
        img {
            border-radius: 50%;
        }
    }
}

.boxDisabled{
    pointer-events: none;
    opacity: 0.4;
    .lockIcon{
        text-align: center;
        position: absolute;
        top: 50%;
        left: 50%;
        /* bring your own prefixes */
        transform: translate(-50%, -50%);    
        font-size: 120px;
    }
}
.textArticle {
    width: 100%;
    .title {
        margin-bottom: 10px;
        @include flexbox;
        @include justify-content(space-between);
        @include align-items(flex-start);
        h3 {
            @include flex(1);
            margin: 0;
        }
        .dropdownBtn {
            width: 32px;
            height: 38px;
            .btn.focus, .btn:focus {
                outline: 0;
                box-shadow: unset;
            }
        }
    }
    .info {
        @include flexbox;
        @include justify-content(space-between);
        @include align-items(flex-start);
        h6 {
            font-size: 14px;
            color: #808080;
            width: 85px;
            margin-right: 15px;
            margin-top: 5px;
        }
        div {
            @include flex(1);
            text-align: right;
            .tags {
                margin-bottom: 5px;
            }
        }
    }
}
.imageArticle {
    // width: 100px;
    width: 100%;
    // margin-right: 15px;
    margin-bottom: 15px;
    span {
        .thumbnail {
            width: 100%;
            // height: 80px;
            height: 45vw;
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center;
            margin-right: 15px;
            @include border-radius(4px);
        }
    }
}
.loadScreen{
    .container{
        width: 80%;
        margin-bottom: 55px;
    }
}
.postProgressCircle {
    margin-top: 20px;
}
/* stylesheet of src/event/eventDetail.vue */
#w-content img{
    width: 100% !important;
    height: 100% !important;
    // border: 1px #808080 solid;
}

.logo-header {
    height: 80%;
    margin-bottom: 0;
    img {
        width: 177px;
    }
}
#signUp{
    .logo {
        height: 80%;
        margin-bottom: 0;
        img {
            width: 177px;
        }
    }
    #signUpInner{
        position: fixed;
        top: 40%;
        left: 50%;
        /* bring your own prefixes */
        transform: translate(-50%, -50%);
        width: 80%;
    }
    .boxButton{
        margin: 5px;
        margin-bottom: 15px;
    }
}